Bug 1463847 - lightdm-gtk segfaults on first time login
lightdm-gtk segfaults on first time login
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lightdm-gtk (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 17:45 EDT by Rijul Gulati
Modified: 2017-12-12 05:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:33:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rijul Gulati 2017-06-21 17:45:33 EDT
Description of problem:
When I boot system and try login for the first time, lightdm-gtk segfaults and screen goes blacks for a second or so. Then lightdm-gtk re-appears asking for login credentials again. The second time I enter credentials, login is successful.

dmesg - lightdm-gtk-gre[1143]: segfault at 10 ip 00007fa3023fbf70 sp 00007ffcf876f828 error 4 in libcairo.so.2.11400.8[7fa30238e000+122000]

Version-Release number of selected component (if applicable):
lightdm-gtk 2.0.2-2.fc25 
cairo 1.14.8-1.fc25

How reproducible:


Steps to Reproduce:
1. Boot system with lightdm (and lightdm-gtk) enabled.
2. Perform login.
3. Screen blacks out for a second. (segfault lightdm-gtk)
4. Login screen re-appears. Enter login credentials again.
5. Second time login is successful.

Actual results:
First time on login screen blacks out, asks to re-enter login credentials. Second time login is successful

Expected results:
should login successfully the first time credentials are entered.

Additional info:
Using fedora 25 (mate desktop), fully updated. 
Please let me know if some additional info/logs are required.

A similar bug was filed for arch.
https://bugs.archlinux.org/task/47694
Comment 1 Fedora Admin XMLRPC Client 2017-07-05 16:39:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2017-11-16 14:39:39 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:33:44 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.